summaryrefslogtreecommitdiffstats
path: root/scripts/load-plugins.sh
diff options
context:
space:
mode:
authorJack Lucas <jflucas@research.att.com>2020-02-03 18:21:29 -0500
committerJack Lucas <jflucas@research.att.com>2020-02-07 13:07:09 -0500
commitbad772074d0bfd4c4dcb7bdd2cbe9ca7246fc28e (patch)
tree5119178d7308c199ffdc12a5b8b1c4877a1c092b /scripts/load-plugins.sh
parent86685f86e7ee03a25f913da72de5105d92c1fbba (diff)
Move k8s-bootstrap container to blueprints repo1.9.0
Cleanup of unnecessary input templates and other files Use non-templatized blueprints instead of blueprint templates Copy blueprints from blueprints/ directory into image Move reference_templates to top-level directory Issue-ID: DCAEGEN2-2041 Signed-off-by: Jack Lucas <jflucas@research.att.com> Change-Id: Ib846a96a4995eb97383f63ff764705e6277a24b0
Diffstat (limited to 'scripts/load-plugins.sh')
-rwxr-xr-xscripts/load-plugins.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/scripts/load-plugins.sh b/scripts/load-plugins.sh
new file mode 100755
index 0000000..c67258e
--- /dev/null
+++ b/scripts/load-plugins.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# org.onap.dcae
+# ================================================================================
+# Copyright (c) 2018-2020 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+
+# Pull plugin archives from repos
+# $1 is the DCAE repo URL
+# $2 is the CCSDK repo URL
+# (This script runs at Docker image build time)
+#
+set -x
+set -e
+DEST=wagons
+
+# For DCAE, starting in R5, we pull down wagons directly
+DCAEPLUGINFILES=\
+"\
+k8splugin/1.7.2/k8splugin-1.7.2-py27-none-linux_x86_64.wgn
+relationshipplugin/1.1.0/relationshipplugin-1.1.0-py27-none-linux_x86_64.wgn
+clamppolicyplugin/1.1.0/clamppolicyplugin-1.1.0-py27-none-linux_x86_64.wgn
+dcaepolicyplugin/2.4.0/dcaepolicyplugin-2.4.0-py27-none-linux_x86_64.wgn \
+"
+
+# For CCSDK, we pull down the wagon files directly
+CCSDKPLUGINFILES=\
+"\
+plugins/pgaas-1.1.0-py27-none-any.wgn
+plugins/dmaap-1.3.5-py27-none-any.wgn
+plugins/sshkeyshare-1.0.0-py27-none-any.wgn
+plugins/helm-4.0.0-py27-none-linux_x86_64.wgn
+"
+
+# Copy a set of wagons from a repo
+# $1 -- repo baseURL
+# $2 -- list of paths to wagons in the repo
+function get_wagons {
+ for wagon in $2
+ do
+ target=$(basename ${wagon})
+ curl -Ssf $1/${wagon} > ${DEST}/${target}
+ done
+}
+
+mkdir ${DEST}
+get_wagons $1 "${DCAEPLUGINFILES}"
+get_wagons $2 "${CCSDKPLUGINFILES}"